<?php

namespace Modules\Coupon\Interfaces;

use Modules\Coupon\Models\Coupon;

interface CouponRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Coupon;
    public function update(array $request, Coupon $coupon): Coupon;
    public function destroy(Coupon $coupon): void;
    public function destroyAll(array $ids): void;
    public function restore(Coupon $coupon): void;
    public function restoreAll(array $ids): void;
}
